Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface UseCaseModelEditor

    com.change_vision.jude.api.inf.editor.UseCaseModelEditor

    public UseCaseModelEditor

Interface to edit (create/delete) UseCase Models. Throws Exception when invalid models are generated. (e.g. Duplicated UseCases with the same name are created in a package.)

Method Summary
`abstract IClass` | `createActor(IPackage parentPackage, String name)` Create an actor in a parent package.
`abstract IExtend` | `createExtend(IUseCase extension, IUseCase extendedCase, String name)` Create an extend between a usecase and an extended usecase.
`abstract IExtentionPoint` | `createExtensionPoint(IUseCase usecase, String name)` Create an extension point in a usecase.
`abstract IInclude` | `createInclude(IUseCase includingCase, IUseCase addition, String name)` Create an include between an including usecase and a usecase.
`abstract IUseCase` | `createUseCase(IPackage parentPackage, String name)` Create a usecase in a parent package.

Method Detail

### createActor

    abstract IClass createActor(IPackage parentPackage,
                                String name)

  Create an actor in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - Actor Name
  Returns:
    IClass Actor
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createUseCase

    abstract IUseCase createUseCase(IPackage parentPackage,
                                    String name)

  Create a usecase in a parent package.

  Parameters:
    `parentPackage` - Parent Package
    `name` - UseCase Name
  Returns:
    IUseCase UseCase
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createExtensionPoint

    abstract IExtentionPoint createExtensionPoint(IUseCase usecase,
                                                  String name)

  Create an extension point in a usecase.

  Parameters:
    `usecase` - UseCase
    `name` - Extension Point Name
  Returns:
    IExtentionPoint Extension Point
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createExtend

    abstract IExtend createExtend(IUseCase extension,
                                  IUseCase extendedCase,
                                  String name)

  Create an extend between a usecase and an extended usecase.

  Parameters:
    `extension` - UseCase
    `extendedCase` - Extended UseCase
    `name` - Extend Name
  Returns:
    IExtend Extend
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createInclude

    abstract IInclude createInclude(IUseCase includingCase,
                                    IUseCase addition,
                                    String name)

  Create an include between an including usecase and a usecase.

  Parameters:
    `includingCase` - Including UseCase
    `addition` - UseCase
    `name` - Include Name
  Returns:
    IInclude Include
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD